Index: uClibc-0.9.29/libc/sysdeps/linux/common/bits/errno_values.h
===================================================================
--- uClibc-0.9.29/libc/sysdeps/linux/common/bits/errno_values.h	2002-08-23 20:48:19.000000000 +0200
+++ uClibc-0.9.29/libc/sysdeps/linux/common/bits/errno_values.h	2007-07-01 22:11:53.000000000 +0200
@@ -134,4 +134,16 @@
 #define	ENOMEDIUM	123	/* No medium found */
 #define	EMEDIUMTYPE	124	/* Wrong medium type */
 
+/* the following errornumbers are only in 2.6 */
+
+#define ECANCELED       125     /* Operation Canceled */
+#define ENOKEY          126     /* Required key not available */
+#define EKEYEXPIRED     127     /* Key has expired */
+#define EKEYREVOKED     128     /* Key has been revoked */
+#define EKEYREJECTED    129     /* Key was rejected by service */
+
+/* for robust mutexes */
+#define EOWNERDEAD      130     /* Owner died */
+#define ENOTRECOVERABLE 131     /* State not recoverable */
+
 #endif /* _BITS_ERRNO_VALUES_H */
